%global momorel 4

Summary: GNOME Power Manager
Name: gnome-power-manager

Version: 2.22.1
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://gnome-power.sourceforge.net/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: glib2-devel >= 2.16.1
BuildPrereq: hal-devel >= 0.5.10
BuildPrereq: gstreamer-devel >= 0.10.18
BuildPrereq: dbus-glib-devel >= 0.74
BuildPrereq: dbus-devel >= 1.1.20
BuildPrereq: libgnomeui-devel >= 2.22.01
BuildPrereq: libglade2-devel >= 2.6.2
BuildPrereq: libwnck-devel >= 2.22.0
BuildPrereq: gnome-keyring-devel >= 2.22.0
BuildPrereq: gnome-panel-devel >= 2.22.0
BuildPrereq: libnotify-devel >= 0.4.4
BuildPrereq: gtk2-devel >= 2.12.8
BuildPrereq: cairo-devel >= 1.4.12
BuildRequires: rarian
BuildRequires: gnome-doc-utils
Requires: gnome-mime-data
Requires: gnome-icon-theme
Requires: hal
Requires: dbus-glib
Requires: dbus-x11
Requires: rarian


%description
GNOME Power Manager uses the information and facilities provided by HAL
displaying icons and handling user callbacks in an interactive GNOME session.
GNOME Power Preferences allows authorised users to set policy and
change preferences.

%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-docbook-docs \
    --enable-xevents \
    --enable-applets \
    --enable-libnotify \
    --disable-policykit
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install --vendor gnome --delete-original    \
  --dir %{buildroot}%{_datadir}/gnome/autostart          \
  %{buildroot}%{_datadir}/gnome/autostart/gnome-power-manager.desktop

%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-power-manager.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done
scrollkeeper-update

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
scrollkeeper-update

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/gnome-power-manager/*
%{_mandir}/man1/*
%{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas
%{_libdir}/bonobo/servers/*
%{_libexecdir}/gnome-brightness-applet
%{_libexecdir}/gnome-inhibit-applet
%{_datadir}/dbus-1/services/gnome-power-manager.service
%{_datadir}/gnome/help/gnome-power-manager/*
%{_datadir}/omf/gnome-power-manager/gnome-power-manager-*.omf
%{_datadir}/gnome/autostart/*
%{_datadir}/applications/gnome-power-preferences.desktop
%{_datadir}/applications/gnome-power-statistics.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/gnome-2.0/ui/GNOME_*.xml

%changelog
* Sat Aug 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-4m)
- disable policykit

* Sun Apr 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-3m)
- enable policykit

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.1-2m)
- rebuild against gcc43

* Sat Mar 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Sat Dec 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.2-1m)
- update to 2.20.2

* Thu Nov 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Fri May 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.3-1m)
- update to 2.18.3

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Sat Mar 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Mar  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- revice %%post script (gconftool-2)

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.3-1m)
- update to 2.16.3

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-1m)
- update to 2.16.2

* Sat Sep 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0)
- update to 2.16.0

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-5m)
- rebuild against 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.14.3-4m)
- rebuild against expat-2.0.0-1m

* Fri Jun  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-3m)
- delete duplicated dir

* Tue May 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.3-2m)
- delete duplicated dir

* Thu Apr 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.3-1m)
- version 2.14.3
- add Patch0 (gnome-power-manager-DBUSDIR.patch)
